//
//  TiggerClockController.h
//  Tigger
//
//  Created by Andreas on Mon Sep 15 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//
//	2004-07-17	Andreas Mayer
//	- updated for Tigger 1.2


#import <AppKit/AppKit.h>
#import "AMTiggerClientProtocol.h"
#import "AMTiggerServerProtocol.h"


@interface TiggerClockController : NSWindowController <AMTiggerClientProtocol> {
	id <AMTiggerServerProtocol> server;
	NSTimer *timer;
	IBOutlet NSImageView *imageView;
	NSString *_am_clockSymbol;
}

- (id)server;
- (void)setServer:(id)newServer;

- (void)setupWithServer:(id)theServer;
- (void)activate;
- (void)deactivate;
- (BOOL)hasPrefsPane;

@end
